/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Tue Jul  2 01:04:12 CDT 2002
    copyright            : (C) 2002 by Nobuhiro Kuroiwa
    email                : nobu@iastate.edu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <iostream>
#include <string>
#include <stdlib.h>

#include "suzumusi.h"

//---------------------------------------------------------------------------
//	Maing Function
//---------------------------------------------------------------------------
int main(int argc, char *argv[])
{

	string str_key_input = "";
	cout << "Suzumusi ver 1.0.1" << endl;
	//-------------------------------------------------------------------------
	//	If there is command line parameters. play list is set to default
	//-------------------------------------------------------------------------
	if( argc ==  1)	argv[1] = "playlist.txt";

	//-------------------------------------------------------------------------
	//	Initialize Everything. Open Audio, Read File, Make Objects Tree ...etc.
	//-------------------------------------------------------------------------
	cout << "initializing...";
	if( !initSuzumusi( argv[1]))
	{
		cout << "Suzumusi Initialization Failed" << endl;
		cleanUp();
		exit( -1);
	}

	cout << "done\ntype 'q' and enter to exit" << endl;
	letsDance();

	//-------------------------------------------------------------------------
	//	Looping. typing q or exit will be exit this loop.
	//-------------------------------------------------------------------------
	while( true)
	{
		cin >> str_key_input;
		if( str_key_input == "q" || str_key_input == "exit")
			break;
		cout << "type 'q' and enter to exit" << endl;
	}
	//-------------------------------------------------------------------------
	//	Clean up everything.
	//-------------------------------------------------------------------------
	cleanUp();

  return EXIT_SUCCESS;
}

/*
dnl ---------------------------------------------------------------
dnl Check for SDL
SDL_VERSION=1.2.4
AM_PATH_SDL($SDL_VERSION,
            :,
            AC_MSG_ERROR([*** SDL version $SDL_VERSION not found!])
)
CFLAGS="$CFLAGS $SDL_CFLAGS"
LIBS="$LIBS $SDL_LIBS"
dnl ---------------------------------------------------------------
dnl ---------------------------------------------------------------
dnl Checks for libraries.
dnl Replace `main' with a function in -lSDL_mixer:
AC_CHECK_LIB(SDL_mixer,
       main,
       LIBS="$LIBS -lSDL_mixer",
       AC_MSG_ERROR([*** SDL_mixer library not found!])
)
dnl ---------------------------------------------------------------
*/


