/***************************************************************************
                          crand.cpp  -  description
                             -------------------
    begin                : Mon Jul 1 2002
    copyright            : (C) 2002 by Nobuhiro Kuroiwa
    email                : nobu@iastate.edu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <cstdlib>	// for srand(), rand()
#include <ctime>		// for time()
#include "crand.h"

//---------------------------------------------------------------------------
//---------------------------------------------------------------------------
CRand::CRand(){
	srand( (unsigned)time( 0));
}
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------
CRand::CRand( unsigned seed)
{
	srand( seed);
}
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------
// min <= return value <= max
int CRand::GetRandom( int min, int max)
{
	if( max < 0)	max = 0;
	if( min == max)	return min;
	return rand() % ( max + 1 - min) + min;
}
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------
CRand::~CRand(){
}
