/***************************************************************************
                          crand.h  -  description
                             -------------------
    begin                : Mon Jul 1 2002
    copyright            : (C) 2002 by Nobuhiro Kuroiwa
    email                : nobu@iastate.edu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CRAND_H
#define CRAND_H


/**Module 	 rmrandom.h
Purpose	: Interface and implementation of a
	 random number generating class.
  *@author Nobuhiro Kuroiwa
  */

class CRand {
public: 
	CRand();
	CRand( unsigned seed);
	int GetRandom( int min, int max);
	~CRand();
};

#endif
